Bug 1757990 - Review Request: ags - Engine for creating and running videogames of adventure (quest) genre
Summary: Review Request: ags - Engine for creating and running videogames of adventure...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-GAMESIG
TreeView+ depends on / blocked
 
Reported: 2019-10-02 22:07 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2019-10-15 11:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-15 11:41:58 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2019-10-02 22:07:53 UTC
Spec URL: https://rathann.fedorapeople.org/review/ags/ags.spec
SRPM URL: https://rathann.fedorapeople.org/review/ags/ags-3.4.4.1-1.fc30.src.rpm
Description:
Adventure Game Studio (AGS) - is the IDE and the engine meant for creating and
running videogames of adventure (aka "quest") genre. It has potential, although
limited, support for other genres as well.

Originally created by Chris Jones back in 1999, AGS was opensourced in 2011 and
since continued to be developed by contributors.

Fedora Account System Username: rathann

Comment 1 J. Scheurich 2019-10-03 02:51:41 UTC
This only a informal review, i am not in the packager group

[!]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.

License: Artistic 2.0 and BSD and Giftware and LGPLv2+ and Public Domain and zli
b

./debian/git-archive-all.sh:# License:     GPL3
./debian/git-archive-all.sh:# it under the terms of the GNU General Public Licen
se as published by

It looks like it is also icensed under GPLv3+ 



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[?]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x] License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[!]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 245760 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
     Note: Multiple Release: tags found
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ags-3.4.4.1-1.fc32.x86_64.rpm
          ags-debuginfo-3.4.4.1-1.fc32.x86_64.rpm
          ags-debugsource-3.4.4.1-1.fc32.x86_64.rpm
          ags-3.4.4.1-1.fc32.src.rpm
ags.x86_64: W: spelling-error Summary(en_US) videogames -> video games, video-games, videotapes
ags.x86_64: W: spelling-error %description -l en_US videogames -> video games, video-games, videotapes
ags.x86_64: W: spelling-error %description -l en_US opensourced -> open sourced, open-sourced, outsourced
ags.x86_64: W: file-not-utf8 /usr/share/doc/ags/Changes.txt
ags.x86_64: W: no-manual-page-for-binary ags
ags.src: W: spelling-error Summary(en_US) videogames -> video games, video-games, videotapes
ags.src: W: spelling-error %description -l en_US videogames -> video games, video-games, videotapes
ags.src: W: spelling-error %description -l en_US opensourced -> open sourced, open-sourced, outsourced
ags.src:47: W: unversioned-explicit-provides bundled(hq2x3x)
4 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (debuginfo)
-------------------
Checking: ags-debuginfo-3.4.4.1-1.fc32.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
ags-debuginfo.x86_64: W: invalid-url URL: http://www.adventuregamestudio.co.uk/site/ags/ <urlopen error [Errno -2] Name or service not known>
ags-debugsource.x86_64: W: invalid-url URL: http://www.adventuregamestudio.co.uk/site/ags/ <urlopen error [Errno -2] Name or service not known>
ags.x86_64: W: spelling-error Summary(en_US) videogames -> video games, video-games, videotapes
ags.x86_64: W: spelling-error %description -l en_US videogames -> video games, video-games, videotapes
ags.x86_64: W: spelling-error %description -l en_US opensourced -> open sourced, open-sourced, outsourced
ags.x86_64: W: invalid-url URL: http://www.adventuregamestudio.co.uk/site/ags/ <urlopen error [Errno -2] Name or service not known>
ags.x86_64: W: file-not-utf8 /usr/share/doc/ags/Changes.txt
ags.x86_64: W: no-manual-page-for-binary ags
3 packages and 0 specfiles checked; 0 errors, 8 warnings.



Source checksums
----------------
https://github.com/adventuregamestudio/ags/archive/v.3.4.4.1/ags-v.3.4.4.1.tar.gz :
  CHECKSUM(SHA256) this package     : 270df55df129563b7c759e8c1e14616669b991c268b0cf55bbb6aa27c3922fb4
  CHECKSUM(SHA256) upstream package : 270df55df129563b7c759e8c1e14616669b991c268b0cf55bbb6aa27c3922fb4


Requires
--------
ags (rpmlib, GLIBC filtered):
    libX11.so.6()(64bit)
    libaldmb-0.9.3.so()(64bit)
    libalfont.so.2()(64bit)
    liballeg.so.4.4()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libdumb-0.9.3.so()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libogg.so.0()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libtheora.so.0()(64bit)
    libtheora.so.0(libtheora.so.1.0)(64bit)
    libvorbis.so.0()(64bit)
    libvorbisfile.so.3()(64bit)
    rtld(GNU_HASH)

ags-debuginfo (rpmlib, GLIBC filtered):

ags-debugsource (rpmlib, GLIBC filtered):



Provides
--------
ags:
    ags
    ags(x86-64)
    bundled(AllegroOGG)
    bundled(aastr)
    bundled(almp3)
    bundled(apeg)
    bundled(hq2x3x)
    bundled(libcda)

ags-debuginfo:
    ags-debuginfo
    ags-debuginfo(x86-64)
    debuginfo(build-id)

ags-debugsource:
    ags-debugsource
    ags-debugsource(x86-64)



Generated by fedora-review 0.7.3 (44b83c7) last change: 2019-09-18
Command line :/usr/bin/fedora-review -n ags
Buildroot used: fedora-rawhide-{{ target_arch }}
Active plugins: Shell-api, Generic, C/C++
Disabled plugins: R, Haskell, PHP, Python, fonts, SugarActivity, Perl, Ocaml, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Robert-André Mauchin 2019-10-06 16:41:40 UTC
We don't care about Debian files which are not included in the binary anyway.

 - Convert this file to UTF-8 in %prep:

ags.x86_64: W: file-not-utf8 /usr/share/doc/ags/Changes.txt


Package LGTM following this review and is approved.

Comment 3 Dominik 'Rathann' Mierzejewski 2019-10-08 22:54:32 UTC
Thanks for the review. However, there's one piece of code (Engine/libsrc/libcda-0.5/djgpp.c) that's potentially non-free and I've asked for a legal review: https://lists.fedoraproject.org/archives/list/legal@lists.fedoraproject.org/thread/BPZ6QVXPY2A4PYBH5GSM5J6DQZO7BTOC/ . I'll hold off importing until that's cleared.

Comment 4 Gwyn Ciesla 2019-10-11 13:36:06 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ags


Note You need to log in before you can comment on or make changes to this bug.